Bug 1247755 - CVE-2015-5477 bind99: bind: TKEY query handling flaw leading to denial of service [fedora-22]
CVE-2015-5477 bind99: bind: TKEY query handling flaw leading to denial of ser...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind99 (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5477
  Show dependency treegraph
 
Reported: 2015-07-28 14:53 EDT by Tomas Hoger
Modified: 2015-07-31 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: bind99-9.9.7-6.P2.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 22:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2015-07-28 14:53:25 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-22 tracking bug for bind99: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Hoger 2015-07-28 14:53:42 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1247361,1247755

# Description of your update
notes=Security fix for CVE-2015-5477

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1247361,1247755
Comment 2 Fedora Update System 2015-07-29 08:34:46 EDT
bind99-9.9.7-6.P2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/bind99-9.9.7-6.P2.fc22
Comment 3 Fedora Update System 2015-07-29 21:19:27 EDT
Package bind99-9.9.7-6.P2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind99-9.9.7-6.P2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12316/bind99-9.9.7-6.P2.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-07-31 22:27:20 EDT
bind99-9.9.7-6.P2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.